package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/5/29 17:32
 **/
public class AppTouchRecord extends BaseEntity {

    private static final long serialVersionUID = 2905228127427560635L;
    @ApiModelProperty("社群书id")
    private Long bookGroupId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("群id")
    private Long qrcodeId;

    @ApiModelProperty("微信群id")
    private String weixinGroupId;

    @ApiModelProperty("应用或作品id")
    private Long serveId;

    @ApiModelProperty("类型")
    private String serveType;

    @ApiModelProperty("触发类型:1欢迎语,2关键词,3群发")
    private Integer touchType;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }


    public Long getServeId() {
        return serveId;
    }

    public void setServeId(Long serveId) {
        this.serveId = serveId;
    }

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    public Integer getTouchType() {
        return touchType;
    }

    public void setTouchType(Integer touchType) {
        this.touchType = touchType;
    }

    @Override
    public String toString() {
        return "AppTouchRecord{" +
                "bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", qrcodeId=" + qrcodeId +
                ", weixinGroupId='" + weixinGroupId + '\'' +
                ", serveId=" + serveId +
                ", serveType='" + serveType + '\'' +
                ", touchType=" + touchType +
                "} " + super.toString();
    }
}
